#if !defined(AFX_OGLWND_H__4F952B19_80E3_11D1_B06C_0060082D402F__INCLUDED_)
#define AFX_OGLWND_H__4F952B19_80E3_11D1_B06C_0060082D402F__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// OGLWnd.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// COGLWnd window

class COGLWnd : public CWnd
{
// Construction
public:
	COGLWnd(CWnd* pW);

// Attributes
protected:
	// a dc
	CClientDC* m_pDC;
	HDC m_hDC;

	// rendering context handle
	HGLRC m_hRC;

	//parent window
	CWnd *m_pParent;

// Operations
public:
	virtual void SetSize(int cx, int cy);
	virtual void DrawScene();
	virtual void InitializeRContext();
protected:
	virtual void SetUpDrawingEnvironment();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COGLWnd)
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~COGLWnd();

	// Generated message map functions
protected:
	//{{AFX_MSG(COGLWnd)
	afx_msg void OnPaint();
	afx_msg void OnDestroy();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OGLWND_H__4F952B19_80E3_11D1_B06C_0060082D402F__INCLUDED_)
