//--------------------------------
// implementing the basic house

#include "stdafx.h"
#include "house.h"

IMPLEMENT_DYNCREATE(house, CObject)
house::house()
{
	origo_X=0.0f;
	origo_Y=0.0f;
}

house::house(GLfloat x,GLfloat y)
{
	origo_X=x;
	origo_Y=y;
}

house::~house()
{
}

void house::DrawOutline()
{
	// draw a fast and simple outline of the drawing
	glPushMatrix();
	glTranslatef(origo_X,origo_Y,0.0f);

	//------------------------------
	// setMaterial kind of yellow
	GLfloat mat_ambient[] = { 0.7f, 0.7f, 0.7f, 1.0f };
    GLfloat mat_diffuse[] = { 0.8f, 0.8f, 0.0f, 1.0f };
	glMaterialfv(GL_FRONT, GL_AMBIENT, mat_ambient);
	glMaterialfv(GL_FRONT, GL_DIFFUSE, mat_diffuse);

	
	glTranslatef(HX/2.0f,HY/2.0f,HY/2.0f);
	// use a quadric to draw a sphere
	GLUquadricObj *glpQ;
	glpQ=gluNewQuadric();
	gluSphere(glpQ,HY/2.0f,5,5);
	gluDeleteQuadric(glpQ);
	//----------------------------------


	glPopMatrix();
}
void house::Draw()
{
	// draw the house or whatever you want to appear
	glPushMatrix();
	glTranslatef(origo_X,origo_Y,0.0f);

	//------------------------------
	// setMaterial kind of yellow
	GLfloat mat_ambient[] = { 0.7f, 0.7f, 0.7f, 1.0f };
    GLfloat mat_diffuse[] = { 0.8f, 0.8f, 0.0f, 1.0f };
	glMaterialfv(GL_FRONT, GL_AMBIENT, mat_ambient);
	glMaterialfv(GL_FRONT, GL_DIFFUSE, mat_diffuse);

	
	glTranslatef(HX/2.0f,HY/2.0f,HY/2.0f);
	// use a quadric to draw a sphere
	GLUquadricObj *glpQ;
	glpQ=gluNewQuadric();
	gluSphere(glpQ,HY/2.0f,20,20);
	gluDeleteQuadric(glpQ);
	//----------------------------------

	glPopMatrix();
}

BOOL house:: PickAction()
{
	return FALSE;
}
