//----------------------------------
// base class for houses
// Functionality:
//	Draw - complete OGL draw of the house
//  DrawOutline - simple fast OGL-draw
//				  used during movement
//  PickAction - may be used for inteactive 
//               respons when selected
// Members:
//  origo_X,origo_Y where the ground for 
//            this house is locted
// a house has at its disposal HX x HY meters (20 x 20)
// b.stenseth nov 2000

#if !defined(BASE_HOUSE)
#define BASE_HOUSE

#include "stdafx.h"
class house : public CObject
{

public:
	house();
	house(GLfloat x,GLfloat y);
	~house();
	
	DECLARE_DYNCREATE(house);

	GLfloat origo_X;
	GLfloat origo_Y;


	virtual void DrawOutline();
	virtual void Draw();
	virtual BOOL PickAction();

};
#endif // !defined(BASE_HOUSE)
